Subject: bug#42419: is this a sick joke ?

From: Jeffrey Walton <[email-masked]>
Date: Sat, 18 Jul 2020 22:36:43 -0400

On Sat, Jul 18, 2020 at 4:08 PM Paul Eggert <[email-masked]> wrote:
>
> Builds work for me on Solaris 10 sparc, but then I don't have a
> locally-installed /usr/local/bin/grep to get in the way and cause trouble. I
> suggest removing /usr/local/bin from your PATH, or setting the GREP environment
> variable to be the 'grep' you prefer.
>
> I used PATH='/usr/bin:/usr/ccs/bin:/r/share1/src/developerstudio12.6/bin' in my
> build, and got this:
>
> checking for grep that handles long lines and -e... /usr/xpg4/bin/grep
> checking for egrep... /usr/xpg4/bin/grep -E
>
> It is true that you need a working 'grep' to build GNU grep, just as you need a
> working 'cp' to build GNU cp. The GNU coding standards allow builds to depend on
> a small set of POSIX tools, and 'grep' and 'cp' are both on the list.

To add to Paul's answer...On modern Solaris you can usually find GNU
tools in /usr/gnu/bin.

I find Solaris is special. You usually need to modify your PATH before
doing anything with Autotools. Something like:

#!/usr/bin/env bash

THIS_SYSTEM=$(uname -s 2>&1)
IS_SOLARIS=$(grep -i -c 'sunos' <<< "$THIS_SYSTEM")
...

if [ "$IS_SOLARIS" -ne 0 ]
then
    for path in /usr/gnu/bin /usr/sfw/bin /usr/ucb/bin /bin /usr/bin
/sbin /usr/sbin
    do
        if [ -d "$path" ]; then
            SOLARIS_PATH="$SOLARIS_PATH:$path"
        fi
    done

    PATH="$SOLARIS_PATH:$PATH"
fi

# Strip leading and trailing semi-colons
PATH=$(echo "$PATH" | sed 's/::/:/g' | sed 's/^:\(.*\)/\1/')
export PATH

# echo "New PATH: $PATH"

Jeff